You are using an ad blocker that is interfering with our web typography and internal javascript. Please allow our domain to live in a more beautiful world. No ads here, just really great software!

What Was Your Favorite Moment of Experience? Relive The Event Now On Demand! Watch Replays

Persona Insight – Device Sizing

Back

Persona Insight – Device Sizing

Latest Version: 1.0.1.0
|
Released on June 16, 2021

Description

As organizations start adapting to more flexible ways of working, it is critical that employees work with the most appropriate hardware and software equipment they need to stay productive based on their working style.

Employees provisioned with unsuitable hardware or software equipment work under sub-optimal conditions, leading to increased support overheads and unnecessary device, or licensing related costs.

The Persona Insight Device Sizing and Application Sizing library packs help you to analyze the distribution and usage of devices and applications across personas of different mobility types:

  • Deskbound Employees who have only one fixed office device
  • Office mobile employees who are mobile within company premises using either a laptop
  • Fully remote employees who work exclusively remote from the office.

EUC and Support teams can then tailor their provisioning strategies to identify the most suitable equipment or suite of applications for each of those personas, allowing them to significantly reduce costs from inaccurate provisioning and improve employee experience.

Note: This solution is split into two separate library packs. This pack focuses on Device Sizing.To benefit from software sizing, download the Persona Insight: Application Sizing Library Pack.

This pack requires the Persona Insight - Score Only and Digital Experience Score Library Packs

Screenshots

Versions

  • 1.0.1.0 - 16 Jun 2021 - Updated OS requirements
  • 1.0.0.0 - 16 Jun 2021 - Initial release

Content

Categories - 5
Dashboards - 1
Metrics - 42
Scores - 1

Platforms

Windows 7 and newer
MacOS Catalina and newer

Compatibility

V6.30 and later